This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 114280 - used before set
used before set
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-26 05:26 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.5.90-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-01 08:41:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-01-26 05:26:55 EST
Description of problem:

I just tried to compile package gnome-panel-2.4.0-3, from Redhat
Fedora Core 1.

The compiler said

1.

menu-fentry.c(687): remark #592: variable "s" is used before its value
is set

The source code is

	ffr->mtime = s.st_mtime;

Suggest initialise s before first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mark McLoughlin 2004-02-23 05:10:28 EST
Thanks, fixed in gnome-panel HEAD now. It'll be in Raw Hide as soon as
I move to gnome-panel 2.5.90 in Raw Hide.

2004-02-23  Mark McLoughlin  <mark@skynet.ie>
                                                                     
                                                                         
        * menu-fentry.c: (fr_check_and_reread): remove unused variable
        and fixup code that was correctly using it.
                                                                     
                                                                         

Note You need to log in before you can comment on or make changes to this bug.